Subject: bug#7533: 24.0.50; `dired-mark-pop-up': delete frame afterwards if `pop-up-frames'

From: martin rudalics <[email-masked]>
Date: Fri, 06 Apr 2012 16:53:58 +0200

>> but apparently this variable is no more supported by `display-buffer'
 >> (I'm not sure whether that's by design).
 >
 > I don't know what you mean by that.  Dunno whether it is supported by
 > `display-buffer, but I do still use `pop-up-frames' and it works fine in general
 > (apart from this bug, AFAIK).  And I thought you took care to ensure that it
 > did, for Emacs 24.

It was disabled by `dired-pop-to-buffer'.  Already fixed in my patch.

 >> Would the attached patch fix it?
 >
 > For my own complete setup, yes.  But that's no doubt because I take other
 > measures elsewhere.
 >
 > For the recipe I gave, however (see above), no.  The separate `*Deletions*'
 > frame popped up just becomes iconified.  It is still available as a frame (and
 > as a buffer).  It is still in the list of frames, and it is thus shown in the MS
 > Windows task bar.

Have you set `frame-auto-hide-function' to `delete-frame'?

 > In Emacs 22 the buffer was not shown in a separate frame, disrespecting
 > `special-display-regexps'.  I prefer (slightly) that the latter be respected, so
 > that the buffer is shown in a separate frame.  But only if the frame, like a
 > pop-up window, is completely removed when done.

The current handling of `special-display-regexps' seems to override the
way Emacs 22 behaved in this regard.

martin